#include <SPI.h>
#include <Ethernet.h>
byte mac[] = { 0xDA, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
byte ip[] = { 192, 168, 1, 90 }; 
byte server[] = { 192,168,1,88 }; 
EthernetClient client;
int i = 1;
unsigned int ADC_value = 0;
byte flag = 0;
void setup()
{
  Serial.begin(9600);
  pinMode(3, OUTPUT);
  Ethernet.begin(mac,ip);
  delay(1000); 
  pinMode(2, INPUT_PULLUP);
}
void loop()
{
  ADC_value = analogRead(flag);
  if (client.connect(server, 80)) 
  {
    digitalWrite(3,HIGH); 
    client.write(ADC_value);     
    delay(10);       
    if (client.available()) 
    {     
      char c = client.read();
      switch(c)
      {
        case '0' : flag = 0;
                   break;
        case '1' : flag = 1;
                   break; 
        case '2' : flag = 2;
                   break;
        case '3' : flag = 3;
                   break;
        case '4' : flag = 4;
                   break;   
        case '5' : flag = 5;
                   break;                                                            
      }       
    }
  }
  if (!client.connected()) 
  {
    digitalWrite(3,LOW);
    client.stop();
  }     
}
